<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/api/markers/#navigationcontrol

import {
  propsControl,
  propsControlNavigation
} from './shared/props.js'

export const opts = Object.assign({},
  propsControl,
  propsControlNavigation
)
</script>

<script setup>
import { NavigationControl } from 'maplibre-gl'
import { setupControl } from './shared/setup.js'
import { eventsControl } from './shared/events.js'

const props = defineProps(opts)
const emit = defineEmits(eventsControl)
const { control } = setupControl(NavigationControl, props, emit)

defineExpose({ control })
</script>
